-----------------------------------------------------------------------------------------------
-- Client Lua Script for InterfaceMenuFix
-----------------------------------------------------------------------------------------------
local InterfaceMenuFix = {}

-----------------------------------------------------------------------------------------------
-- Initialization
-----------------------------------------------------------------------------------------------
function InterfaceMenuFix:new(o)
    o = o or {}
    setmetatable(o, self)
    self.__index = self

    return o
end

function InterfaceMenuFix:Init()
    Apollo.RegisterAddon(self)
end

function InterfaceMenuFix:InterfaceMenuHasLoaded()
    local CRB_IML = Apollo.GetAddon("InterfaceMenuList")
	local ForgeUI_IML = Apollo.GetAddon("ForgeUI_InterfaceMenuList") or Apollo.GetAddon("ForgeUI_Interfaces")
	local LUI_Frames_IML = Apollo.GetAddon("LUI_Frames")

	return (CRB_IML and CRB_IML.wndMain ~= nil) or (ForgeUI_IML and ForgeUI_IML.wndMain ~= nil) or (LUI_Frames_IML and LUI_Frames_IML.wndMain ~= nil)
end

function InterfaceMenuFix:OnTimer()
	if self:InterfaceMenuHasLoaded() then

		-- LAS button
		Event_FireGenericEvent("InterfaceMenuList_NewAddOn", Apollo.GetString("InterfaceMenu_AbilityBuilder"), {"ToggleAbilitiesWindow", "LimitedActionSetBuilder", "Icon_Windows32_UI_CRB_InterfaceMenu_Abilities"})

		self.timer:Stop()
		self.timer = nil
	else
		self.tick = self.tick + 1
		if self.tick == 60 then
			self.timer:Stop()
			self.timer = nil
		end
	end
end

function InterfaceMenuFix:OnLoad()
	self.tick = 0
	self.timer = ApolloTimer.Create(1.0, true, "OnTimer", self)
	self:OnTimer()
end

-----------------------------------------------------------------------------------------------
-- InterfaceMenuFix Instance
-----------------------------------------------------------------------------------------------
local InterfaceMenuFixInst = InterfaceMenuFix:new()
InterfaceMenuFixInst:Init()
